package com.dev.swms.server.model.shipping;

import java.util.Date;
import java.util.HashSet;
import java.util.Set;

import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.ItemKey;
import com.dev.swms.server.model.base.Location;
import com.dev.swms.server.model.base.NewLotInfo;
import com.dev.swms.server.model.base.PackageUnit;

public class LabelDetail extends Entity {
	
	private Label label;
	/** 商品属性 */
	private ItemKey itemKey;
	/** 存货日期 */
	private Date storageDate;
	/** SOI */
	private String SOI;
	/** 源库位 */
	private Location srcLoc;
	/** 目标库位 */
	private Location dstLoc;
	/** 计划数量 */
	private double planQuantity;
	
	/** 包装单位 */
	private PackageUnit packageUnit;
	/** 库存状态 */
	private String inventoryStatus;
	
	/** 批次属性 */
	private NewLotInfo newLotInfo;
	
	private Long inventoryid;
	
	

	public Long getInventoryid() {
		return inventoryid;
	}

	public void setInventoryid(Long inventoryid) {
		this.inventoryid = inventoryid;
	}

	public Label getLabel() {
		return label;
	}

	public void setLabel(Label label) {
		this.label = label;
	}

	public ItemKey getItemKey() {
		return itemKey;
	}

	public void setItemKey(ItemKey itemKey) {
		this.itemKey = itemKey;
	}

	public Date getStorageDate() {
		return storageDate;
	}

	public void setStorageDate(Date storageDate) {
		this.storageDate = storageDate;
	}

	public String getSOI() {
		return SOI;
	}

	public void setSOI(String sOI) {
		SOI = sOI;
	}

	public Location getSrcLoc() {
		return srcLoc;
	}

	public void setSrcLoc(Location srcLoc) {
		this.srcLoc = srcLoc;
	}

	public Location getDstLoc() {
		return dstLoc;
	}

	public void setDstLoc(Location dstLoc) {
		this.dstLoc = dstLoc;
	}

	public double getPlanQuantity() {
		return planQuantity;
	}

	public void setPlanQuantity(double planQuantity) {
		this.planQuantity = planQuantity;
	}

	public PackageUnit getPackageUnit() {
		return packageUnit;
	}

	public void setPackageUnit(PackageUnit packageUnit) {
		this.packageUnit = packageUnit;
	}

	public String getInventoryStatus() {
		return inventoryStatus;
	}

	public void setInventoryStatus(String inventoryStatus) {
		this.inventoryStatus = inventoryStatus;
	}

	public NewLotInfo getNewLotInfo() {
		return newLotInfo;
	}

	public void setNewLotInfo(NewLotInfo newLotInfo) {
		this.newLotInfo = newLotInfo;
	}
	
	
	

}
